CTWA
Ad conversion event
Request endpoint
GET
https://api.innopaas.com/api/whatsapp/v3/ads/conversion/event
Request parameters
objectId
String
Yes
Event object IDFor example, a user ID or ad ID.
events
List
Yes
Event list
--eventId
String
No
Event ID* This ID can be any unique string chosen by the advertiser. The parameters event_name and event_id are used to remove duplicate events sent by the website (through Meta Pixel) or app (through the SDK or App Events API), as well as by the Conversions API. Note that although we mark event_id as optional, we recommend using this parameter when deduplicating events. * When deduplicating events, the browser event or app event's eventID must match the corresponding server event's event_id. Learn more about handling duplicate Pixel events and Conversions API events. * An order number or transaction ID are two identifiers that can be used as event_id. For example, if a customer shops on your website twice and the order numbers are 123 and 456, then each Conversions API call needs to include the corresponding order number in event_id. This allows us to correctly distinguish the two purchase events as separate orders. The corresponding browser Pixel purchase events also need to send the same order number in the eventID parameter, so that we know that only two events actually occurred, not four separate purchases. * If the event does not have an inherent numeric ID, a random number can be used (provided that this random number is also sent between the browser and server events).
--eventName
String
Yes
The name of a standard event or custom eventThis field is used for duplicate events sent by the website (through Meta Pixel) or app (through the SDK or App Events API), as well as by the Conversions API. The event_id parameter is also used for deduplicating events. For the same customer action, the browser event or app event's event_name should match the server event's event_name. If we find a match between events sent within 48 hours, only the first event will be considered. If server and browser/app events are received at nearly the same time (i.e. within 5 minutes of each other), the browser/app event will be prioritized. Learn more about deduplicating Pixel events and server events.
--eventTime
Long
Yes
**Unix timestamp (in seconds)** indicating the actual time the event occurred. The specified time may be earlier than when you send the event to Facebook. This is intended to support batching and optimize server performance. You must send this date in GMT. event_time can be at most 7 days earlier than the time you send the event to Facebook. If any event_time in data is earlier than 7 days ago, we will return an error for the entire request, and none of the events will be processed.
--actionSource
String
Yes
SourceYou can use this field to specify where the conversion occurred. Knowing where the event occurred helps ensure ads are delivered to the right audience. By using the Conversions API, you agree that, to the best of your knowledge, the action_source parameter is accurate.*The following values can be sent in the action_source field:* email — The conversion occurred via email. * website — The conversion was completed on a website. * app — The conversion was completed in a mobile app. * phone_call — The conversion was completed by phone. * chat — The conversion was completed through a messaging app, SMS, or online messaging functionality. * physical_store — The conversion was completed in person at a physical store. * system_generated — The conversion happened automatically, such as a subscription renewal set to auto-pay monthly. * business_messaging — The conversion was generated by a direct-response ad on Messenger, Instagram, or WhatsApp. * other — The conversion was completed in another way not listed here. * Note:All action source values support ad measurement and custom audience creation. All action sources support ad optimization.
--userData
Map
Yes
User dataA map containing customer information data. See customer information parameters for available options. See Advanced Matching for available matching options for data sent through Meta Pixel. Key values: * em: email — must be hashed * ph: phone number — must be hashed * fn: first name — must be hashed * ln: last name — must be hashed * ge: gender — must be hashed * db: date of birth — must be hashed * ct: city — must be hashed * st: state/province — must be hashed * zp: postal code — must be hashed * country: country/region — must be hashed * external_id: external ID — hashing recommended * client_ip_address: client IP address — hashing not required * client_user_agent: client user agent — hashing not required * fbc: click ID — hashing not required * fbp: browser ID — hashing not required * subscription_id: subscription ID — hashing not required * fb_login_id: Facebook login ID — hashing not required * lead_id: lead ID — hashing not required * anon_id: install ID — hashing not required (note: this parameter is only used for app events) * madid: mobile advertiser ID — hashing not required (note: this parameter is only used for app events) * page_id: page ID — hashing not required * page_scoped_user_id: page-scoped user ID — hashing not required * ctwa_clid: WhatsApp click-to-message ad ID — hashing not required * ig_account_id: Instagram account ID — hashing not required * ig_sid: Instagram direct-response ad ID — hashing not required
--customData
No
Custom data* A map containing other business data for the event. See the custom data parameters for details.Key values:* Standard fields * availability * body_style * checkin_date * city * condition_of_vehicle * content_ids * content_type * contents * country * currency * delivery_category * departing_arrival_date * departing_departure_date * destination_airport * destination_ids * dma_code * drivetrain * exterior_color * fuel_type * hotel_score * interior_color * lead_event_source * lease_end_date * lease_start_date * listing_type * make * mileage.unit * mileage.value * model * neighborhood * net_revenue * num_adults * num_children * num_infants * num_items * order_id * origin_airport * postal_code * predicted_ltv * preferred_baths_range * preferred_beds_range * preferred_neighborhoods * preferred_num_stops * preferred_price_range * preferred_star_ratings * price * product_catalog_id * property_type * region * returning_arrival_date * returning_departure_date * search_string * state_of_vehicle * suggested_destinations * suggested_home_listings * suggested_hotels * suggested_jobs * suggested_local_service_businesses * suggested_location_based_items * suggested_vehicles * transmission * travel_class * travel_end * travel_start * trim * user_bucket * value * vin * year
--eventSourceUrl
String
No
Event source URL* The browser URL header of the page that triggered the Conversions API or Meta Pixel event. This is usually the previous page in the browser. * Note: event_source_url is required when using the Conversions API to share website events.
--optOut
No
Opt outA flag indicating that this event should not be used for ad delivery optimization. When set to true, this event can only be used as an attribution condition.
--dataProcessingOptions
List
No
Data processing optionsThe processing options you want to enable for a specific event. For Limited Data Use, the current acceptable value is LDU. You can send an empty array to explicitly indicate that this event must not be processed under Limited Data Use restrictions. Learn more about data processing options. See the Conversions API implementation examples.
--dataProcessingOptionsCountry
Integer
No
Data processing options country/regionThe country/region for the processing options you want to enable for a specific event. For Limited Data Use, the current acceptable value is LDU. You can send an empty array to explicitly indicate that this event must not be processed under Limited Data Use restrictions. Learn more about data processing options. See the Conversions API implementation examples.
--dataProcessingOptionsState
Integer
No
Data processing options stateRequired in some cases. (See the notes below for details.) The state/province you want associated with this data processing option. Current acceptable values are 1000 (representing California) or 0 (requesting that we geolocate this event for you). Note: * If you set a country/region, you must also set a state/province. Otherwise, we will apply our geolocation logic to the entire event. * If you send LDU under data_processing_options without providing an IP address, this field is required.
--referrerUrl
String
No
The HTTP Referer header found on the page that triggered the Conversions API or Meta Pixel event. This is usually the previous page in the browser.
--appData
Object
No
App data* These parameters are used to share app data and device information with the Conversions API. * extinfo is a subparameter of app_data.
-- -- advertiserTrackingEnabled
Boolean
No
Use this field to specify ATT permission on iOS 14.5+ devices. Set to 0 to disable or 1 to enable.
-- -- applicationTrackingEnabled
Boolean
No
Required for app eventsA person can choose to enable ad tracking at the app level. Your SDK should allow app developers to include an opt-out setting in their app. Use this field to specify the person's choice. Use 0 when disabled, 1 when enabled.`
-- -- extinfo
List
No
Required for app events* Extended device information such as screen width and height. This parameter is an array, with values separated by commas. When using extinfo, all values are required and must be in the order of the indexes below. If a value is missing, fill it with an empty string as a placeholder. * Notes: * version must be a2 for Android * version must be i2 for iOS Index order:* 0, string Required, extinfo version, example: i2 * 1, string Required, app package name, example: com.facebook.sdk.samples.hellofacebook * 2, string Short version (integer or string) Example: 1.0 * 3, string Long version Example: 1.0 long * 4, string Required operating system version Example: 13.4.1 * 5, string Device model name Example: iPhone5,1 * 6, string Locale Example: En_US * 7, string Time zone abbreviation Example: PDT * 8, string Carrier Example: AT&T * 9, string Screen width Example: 320 * 10, string Screen height Example: 568 * 11, string Screen density Example: 2 * 12, string CPU cores Example: 2 * 13, string External storage size (GB) Example: 13 * 14, string Available space in external storage (GB) Example: 8 * 15, string Device time zone Example: USA/New York/
-- -- campaignIds
String
No
Third-party install referrer, currently only available on Android.
-- -- installReferrer
String
No
Third-party install referrer, currently only available on Android
-- -- installerPackage
String
No
Used internally by the Android SDK
-- -- urlSchemes
List
No
Used internally by the iOS and Android SDKs.
-- --vendorId
String
No
Vendor ID
-- --windowsAttributionId
String
No
Attribution token for Windows 10.
Request example
Response example
最后更新于